<?xml version="1.0" encoding="ISO-8859-1"?>
<document xmlns:lxslt="http://xml.apache.org/xslt">
<properties><title>File Sizes and File Counts</title></properties>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <meta name="Generator" content="StatCVS 0.4.0"/>
    <link rel="stylesheet" href="objectlab-statcvs-xdoc.css" type="text/css"/>
  </head>

<body><section name="File Sizes and File Counts">
<div id="parentlink">&#171; <a href="index.html">Development Statistics for  StatCVS</a></div>
<dl class="attributes">
    <dt>Total Files:</dt>
    <dd>226</dd>
    <dt>Average File Size:</dt>
    <dd>105.8 lines</dd>
    <dt>Average Revisions Per File:</dt>
    <dd>7.3</dd>
</dl>
<p class="chart"><img src="file_count.png" alt="File Count" width="720" height="450" /></p><p class="chart"><img src="file_size.png" alt="Average File Size" width="720" height="450" /></p>
<div class="section">
<subsection name ="File Types">
  <table  class="statCvsTable" rules="groups" summary="File Extensions">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>Type</th>
        <th>Files</th>
        <th>LOC</th>
        <th>LOC per file</th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <th>Totals</th>
        <td>226 (100.0%)</td>
        <td>23914 (100.0%)</td>
        <td>105.8</td>
      </tr>
    </tfoot>
    <tbody>
      <tr  class="odd">
        <th>*.java</th>
        <td>159 (70.4%)</td>
        <td>20633 (86.3%)</td>
        <td>129.7</td>
      </tr>
      <tr  class="even">
        <th>*.xml</th>
        <td>10 (4.4%)</td>
        <td>1537 (6.4%)</td>
        <td>153.7</td>
      </tr>
      <tr  class="odd">
        <th>*.css</th>
        <td>4 (1.8%)</td>
        <td>759 (3.2%)</td>
        <td>189.7</td>
      </tr>
      <tr  class="even">
        <th>*.properties</th>
        <td>7 (3.1%)</td>
        <td>426 (1.8%)</td>
        <td>60.8</td>
      </tr>
      <tr  class="odd">
        <th>*.prefs</th>
        <td>2 (0.9%)</td>
        <td>368 (1.5%)</td>
        <td>184.0</td>
      </tr>
      <tr  class="even">
        <th>*.html</th>
        <td>5 (2.2%)</td>
        <td>64 (0.3%)</td>
        <td>12.8</td>
      </tr>
      <tr  class="odd">
        <th>*.bat</th>
        <td>1 (0.4%)</td>
        <td>13 (0.1%)</td>
        <td>13.0</td>
      </tr>
      <tr  class="even">
        <th>*.txt</th>
        <td>2 (0.9%)</td>
        <td>11 (0.0%)</td>
        <td>5.5</td>
      </tr>
      <tr  class="odd">
        <th>Others</th>
        <td>5 (2.2%)</td>
        <td>103 (0.4%)</td>
        <td>20.6</td>
      </tr>
      <tr  class="even">
        <th>Non-Code Files</th>
        <td>31 (13.7%)</td>
        <td>0 (0.0%)</td>
        <td>0.0</td>
      </tr>
    </tbody>
  </table>

</subsection></div>
<div class="section">
<subsection name ="Largest Files">
  <table  class="statCvsTable" rules="groups" summary="The largest files in the repository">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>File</th>
        <th>Lines of Code</th>
      </tr>
    </thead>
    <tbody>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/manual.xml?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/site/manual.xml</a></th>
        <td>507</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ConfigurationOptions.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/output/ConfigurationOptions.java</a></th>
        <td>488</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/Revision.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/model/Revision.java</a></th>
        <td>399</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/Builder.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/input/Builder.java</a></th>
        <td>378</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/FileBuilder.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/input/FileBuilder.java</a></th>
        <td>370</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/ParserTest.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/tests-src/net/sf/statcvs/input/ParserTest.java</a></th>
        <td>339</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/LinesOfCodeTest.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/tests-src/net/sf/statcvs/input/LinesOfCodeTest.java</a></th>
        <td>328</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/Page.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/pages/Page.java</a></th>
        <td>320</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.settings/org.eclipse.jdt.core.prefs?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/.settings/org.eclipse.jdt.core.prefs</a></th>
        <td>316</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/LOCChartMaker.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/charts/LOCChartMaker.java</a></th>
        <td>303</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/IntegerMapTest.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/tests-src/net/sf/statcvs/util/IntegerMapTest.java</a></th>
        <td>296</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/output/WebRepositoryIntegrationTest.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/tests-src/net/sf/statcvs/output/WebRepositoryIntegrationTest.java</a></th>
        <td>289</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/ant/StatCvsTask.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/ant/StatCvsTask.java</a></th>
        <td>288</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/BuilderTest.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/tests-src/net/sf/statcvs/input/BuilderTest.java</a></th>
        <td>277</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/IntegerMap.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/util/IntegerMap.java</a></th>
        <td>272</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/RepoMapPageMaker.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/output/RepoMapPageMaker.java</a></th>
        <td>271</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/VersionedFile.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/model/VersionedFile.java</a></th>
        <td>248</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/FilesXml.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/pages/xml/FilesXml.java</a></th>
        <td>245</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/Repository.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/model/Repository.java</a></th>
        <td>242</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java</a></th>
        <td>242</td>
      </tr>
    </tbody>
  </table>

</subsection></div>
<div class="section">
<subsection name ="Files With Most Revisions">
  <table  class="statCvsTable" rules="groups" summary="The files with most revisions">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>File</th>
        <th>Revisions</th>
      </tr>
    </thead>
    <tbody>
      <tr  class="odd">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/HTMLOutput.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/output/HTMLOutput.java</a></th>
        <td>137</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/statcvs.properties?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/statcvs.properties</a></th>
        <td>78</td>
      </tr>
      <tr  class="odd">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsContent.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/model/CvsContent.java</a></th>
        <td>68</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Main.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/Main.java</a></th>
        <td>62</td>
      </tr>
      <tr  class="odd">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsRevision.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/model/CvsRevision.java</a></th>
        <td>55</td>
      </tr>
      <tr  class="even">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsFile.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/model/CvsFile.java</a></th>
        <td>49</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsFileBlockParser.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/input/CvsFileBlockParser.java</a></th>
        <td>47</td>
      </tr>
      <tr  class="even">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/PieChart.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/renderer/PieChart.java</a></th>
        <td>46</td>
      </tr>
      <tr  class="odd">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/IndexPage.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/output/IndexPage.java</a></th>
        <td>45</td>
      </tr>
      <tr  class="even">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/HTMLTagger.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/output/HTMLTagger.java</a></th>
        <td>42</td>
      </tr>
      <tr  class="odd">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/LOCChart.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/renderer/LOCChart.java</a></th>
        <td>42</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/TableRenderer.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/renderer/TableRenderer.java</a></th>
        <td>41</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsRevisionParser.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/input/CvsRevisionParser.java</a></th>
        <td>41</td>
      </tr>
      <tr  class="even">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/Builder.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/input/Builder.java</a></th>
        <td>40</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/build.xml?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/build.xml</a></th>
        <td>38</td>
      </tr>
      <tr  class="even">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ModulePage.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/output/ModulePage.java</a></th>
        <td>37</td>
      </tr>
      <tr  class="odd">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/TestModel.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/model/TestModel.java</a></th>
        <td>36</td>
      </tr>
      <tr  class="even">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/HTMLPage.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/output/HTMLPage.java</a></th>
        <td>36</td>
      </tr>
      <tr  class="odd">
        <th><img src="file.png" width="15" height="13" alt="file in repo" title="file in repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/FileBlockParserTest.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/tests-src/net/sf/statcvs/input/FileBlockParserTest.java</a></th>
        <td>35</td>
      </tr>
      <tr  class="even">
        <th><img src="file-deleted.png" width="15" height="13" alt="File removed from repo" title="File removed from repo"/> <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/CommitLogRenderer.java?rev=HEAD&amp;content-type=text/vnd.viewcvs-markup">statcvs/src/net/sf/statcvs/renderer/CommitLogRenderer.java</a></th>
        <td>35</td>
      </tr>
    </tbody>
  </table>

</subsection></div></section><div id="generatedby">Generated by <a href="http://statcvs.sourceforge.net">StatCVS</a> 0.4.0</div>
</body>
</document>